## offlineimap 6.7.0.1+dfsg1

=== debian/changelog ===
offlineimap (6.7.0.1+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 3.9.8, no changes needed

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Sun, 19 Jun 2016 19:52:45 +0300

offlineimap (6.7.0+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #809402)
  * Bump Standards-Version to 3.9.7, no changes needed
  * Remove doc-base from suggested packages.
    The Debian offlineimap package does not include the OfflineIMAP
    documentation anymore.
  * Update d/copyright file (bump Copyright years)
  * Remove patches that have been applied upstream
    - Remove 'Abort-after-three-Ctrl-C-keystrokes' patch
    - Remove 'Fix-typos-in-offlineimap-1-manpage' patch
  * Detail the use of '--migrate-fmd5-using-nametrans' in d/NEWS.
    OfflineIMAP version 6.3.5 introduced a regression, and the above option
    can be used to migrate to newer versions. (Closes: #812108)
  * Update d/watch file to use the version 4 format

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 22 Mar 2016 10:11:06 +0200

=== debian/control ===
Source: offlineimap
Section: mail
Priority: optional
Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
Uploaders: Dimitri John Ledkov <xnox@debian.org>
Build-Depends:
 debhelper (>= 9),
 python,
 dh-python,
 python-setuptools,
 faketime,
 python-imaplib2 (>= 2.50),
 asciidoc,
 xsltproc,
 docbook-xml,
 docbook-xsl,
 libxml2-utils
X-Python-Version: >= 2.7
Standards-Version: 3.9.8
Homepage: http://offlineimap.org/
Vcs-Git: https://anonscm.debian.org/git/collab-maint/offlineimap.git
Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/offlineimap.git

Package: offlineimap
Architecture: all
Depends:
 python-imaplib2 (>= 2.50),
 ${misc:Depends},
 ${python:Depends}
Recommends: python-socks
Suggests: python-kerberos
Description: IMAP/Maildir synchronization and reader support
 OfflineIMAP is a tool to simplify your e-mail reading.  With
 OfflineIMAP, you can:
 .
  * Read the same mailbox from multiple computers, and have your
    changes (deletions, etc.) be automatically reflected on
    all computers
 .
  * Use various mail clients to read a single mail box
 .
  * Read mail while offline (on a laptop) and have all changes
    synchronized when you get connected again
 .
  * Read IMAP mail with mail readers that do not support IMAP
 .
  * Use SSL (secure connections) to read IMAP mail even if your reader
    doesn't support SSL
 .
  * Synchronize your mail using a completely safe and fault-tolerant
    algorithm.
 .
  * Customize which mailboxes to synchronize with regular expressions
    or lists.
 .
  * Synchronize your mail two to four times faster than with other tools
    or other mail readers' internal IMAP support.
 .
 In short, OfflineIMAP is a tool to let you read mail how YOU want to.

## offlineimap 7.0.12%2Bdfsg1

=== debian/changelog ===
offlineimap (7.0.12+dfsg1-2) unstable; urgency=medium

  * Backport upstream patch to fix Blinkenlights UI.
    Fix the Blinkenlights UI where the terminal is garbled and eventually
    OfflineIMAP crashes.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Wed, 03 May 2017 18:40:38 +0300

offlineimap (7.0.12+dfsg1-1) unstable; urgency=medium

  * New upstream release.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 01 Dec 2016 13:04:38 +0200

offlineimap (7.0.10+dfsg1-1) unstable; urgency=medium

  * New upstream release.
  * Update patches to apply cleanly on new upstream.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Tue, 29 Nov 2016 11:27:07 +0200

offlineimap (7.0.9+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #845531, #809676, #671087).

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 24 Nov 2016 13:48:50 +0200

offlineimap (7.0.8+dfsg1-1) unstable; urgency=medium

  * New upstream release (Closes: #839862)

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 10 Oct 2016 11:56:29 +0300

offlineimap (7.0.7+dfsg1-1) unstable; urgency=medium

  * New upstream release

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Wed, 21 Sep 2016 11:37:41 +0300

offlineimap (7.0.6+dfsg1-1) unstable; urgency=medium

  * New upstream release
    (Closes: #837904, #648862, #681494, #671271)
  * Install the systemd unit files provided by upstream, as examples
  * Add python-six to package dependencies
  * Bump versioned dependency on python-imaplib2 to (>= 2.55)
  * Update d/patches
    - Drop Use-imaplib2-package-instead-of-embedded-copy.patch
      There's a new virtual module to use distro-shipped imaplib2
      vs. embedded one.
    - Drop Remove-unused-imports.patch, fixed upstream.
    - Update patches to apply cleanly on new upstream.
  * Update Files-Excluded field in d/copyright.
    The embedded copy of imaplib2 has been renamed to 'bundled_imaplib2.py'.
  * Update d/copyright file (bump Copyright years)
  * Document changes in d/NEWS
    - The sqlite database is the default.
    - Passwords are now expected in Unicode.
    - The PID file is no longer used.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Mon, 19 Sep 2016 15:33:05 +0300

offlineimap (6.7.0.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Add patch that removes unused import of six package
  * Patch the manpage to document the configuration options.
    Document the available configuration option, by pointing to the
    /usr/share/doc/offlineimap/examples/offlineimap.conf.gz file.

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 08 Sep 2016 15:11:09 +0300

## offlineimap 7.0.12+dfsg1

=== Makefile ===
# Copyright (C) 2002 - 2006 John Goerzen
# <jgoerzen@complete.org>
#
#    This program is free software; you can redistribute it and/or modify
#    it under the terms of the GNU General Public License as published by
#    the Free Software Foundation; either version 2 of the License, or
#    (at your option) any later version.
#
#    This program is distributed in the hope that it will be useful,
#    but WITHOUT ANY WARRANTY; without even the implied warranty of
#    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
#    GNU General Public License for more details.
#
#    You should have received a copy of the GNU General Public License
#    along with this program; if not, write to the Free Software
#    Foundation, Inc., 51 Franklin St, Fifth Floor, Boston, MA  02110-1301 USA

VERSION=$(shell ./offlineimap.py --version)
ABBREV=$(shell git log --format='%h' HEAD~1..)
TARGZ=offlineimap-$(VERSION)-$(ABBREV)
SHELL=/bin/bash
RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`

all: build

build:
	python setup.py build
	@echo
	@echo "Build process finished, run 'python setup.py install' to install" \
		"or 'python setup.py --help' for more information".

clean:
	-python setup.py clean --all
	-rm -f bin/offlineimapc 2>/dev/null
	-find . -name '*.pyc' -exec rm -f {} \;
	-find . -name '*.pygc' -exec rm -f {} \;
	-find . -name '*.class' -exec rm -f {} \;
	-find . -name '.cache*' -exec rm -f {} \;
	-rm -f manpage.links manpage.refs 2>/dev/null
	-find . -name auth -exec rm -vf {}/password {}/username \;
	@$(MAKE) -C clean

.PHONY: docs
docs:
	@$(MAKE) -C docs

websitedoc:
	@$(MAKE) -C websitedoc

targz: ../$(TARGZ)
../$(TARGZ):
	cd .. && tar -zhcv --transform s,^offlineimap,$(TARGZ), -f $(TARGZ).tar.gz --exclude '*.pyc' offlineimap/{bin,Changelog.md,contrib,CONTRIBUTING.rst,COPYING,docs,MAINTAINERS.rst,MANIFEST.in,offlineimap,offlineimap.conf,offlineimap.conf.minimal,offlineimap.py,README.md,scripts,setup.py,test,TODO.rst}

rpm: targz
	cd .. && sudo rpmbuild -ta $(TARGZ)

=== docs/Makefile ===
# This program is free software under the terms of the GNU General Public
# License. See the COPYING file which must come with this package.

SOURCES = $(wildcard *.rst)
HTML_TARGETS = $(patsubst %.rst,%.html,$(SOURCES))

RM = rm
RST2HTML=`type rst2html >/dev/null 2>&1 && echo rst2html || echo rst2html.py`
RST2MAN=`type rst2man >/dev/null 2>&1 && echo rst2man || echo rst2man.py`
SPHINXBUILD = sphinx-build

docs: man api

html: $(HTML_TARGETS)

$(HTML_TARGETS): %.html : %.rst
	$(RST2HTML) $? $@

man: offlineimap.1 offlineimapui.7

offlineimap.1: offlineimap.txt offlineimap.known_issues.txt
	a2x -v -d manpage -f manpage $<

offlineimapui.7: offlineimapui.txt
	a2x -v -d manpage -f manpage $<

api:
	$(SPHINXBUILD) -b html -d html/doctrees doc-src html

websitedoc:
	./website-doc.sh releases
	./website-doc.sh api
	./website-doc.sh contrib

clean:
	$(RM) -f $(HTML_TARGETS)
	$(RM) -f offlineimap.1
	$(RM) -f offlineimap.7
	$(RM) -rf html/*
	-find ./docs -name '*.html' -exec rm -f {} \;

.PHONY: clean doc

=== debian/changelog ===
offlineimap (7.0.12+dfsg1-2~bpo8+1) jessie-backports; urgency=medium

  * Rebuild for jessie-backports.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 16 Sep 2017 15:43:46 +0300

=== debian/control ===
--- 
+++ 
@@ -9,7 +9,8 @@
  dh-python,
  python-setuptools,
  faketime,
- python-imaplib2 (>= 2.50),
+ python-imaplib2 (>= 2.55),
+ python-six,
  asciidoc,
  xsltproc,
  docbook-xml,
@@ -24,7 +25,8 @@
 Package: offlineimap
 Architecture: all
 Depends:
- python-imaplib2 (>= 2.50),
+ python-imaplib2 (>= 2.55),
+ python-six,
  ${misc:Depends},
  ${python:Depends}
 Recommends: python-socks

## offlineimap 7.1.1

=== debian/changelog ===
offlineimap (7.1.1-0mx15+1) mx; urgency=medium

  * New upstream release
  * Packaged for MX-15 / MX-16

 -- Timothy E. Harris <maintainer@mxrepo.com>  Sun, 09 Jul 2017 14:34:06 -0400

## offlineimap 7.1.2+dfsg1

=== debian/changelog ===
offlineimap (7.1.2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Propagate changes from experimental (7.0.14+dfsg1-1) to unstable
  * Update the `strip-nondeterminism/a2x` script to use NO_FAKE_STAT=1.
    Also, newer versions of debhelper (versions >= 9.20151004) export the
    SOURCE_DATE_EPOCH variable during builds, so update d/rules accordingly.
  * Remove Dimitri John Ledkov from uploaders.
    Thanks for maintaining offlineimap. (Closes: #867809)
  * Update my email address
  * Bump Standards-Version to 4.0.0, no changes needed
  * Remove obsolete d/clean file.
    All the build artifacts are now being removed by `make clean`.
  * Update d/copyright file (add new files)
  * Document the removal of the status_backend configuration option in d/NEWS.
    Thanks to Henrique de Moraes Holschuh for suggesting eatmydata.
  * Update d/patches
    - Drop Acquire-lock-before-updating-the-CursesLogHandler-window (applied
      upstream)
    - Update patches to apply cleanly on new upstream

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 11 Jul 2017 18:00:33 +0300

offlineimap (7.0.14+dfsg1-1) experimental; urgency=medium

  * New upstream release.
  * Update d/copyright file (bump Copyright years).
  * Bump debhelper compat level to 10.
  * Bump versioned dependency of debhelper (>= 10).

 -- Ilias Tsitsimpis <i.tsitsimpis@gmail.com>  Thu, 23 Mar 2017 12:51:38 +0200

=== debian/control ===
--- 
+++ 
@@ -1,10 +1,9 @@
 Source: offlineimap
 Section: mail
 Priority: optional
-Maintainer: Ilias Tsitsimpis <i.tsitsimpis@gmail.com>
-Uploaders: Dimitri John Ledkov <xnox@debian.org>
+Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 10),
  python,
  dh-python,
  python-setuptools,
@@ -17,7 +16,7 @@
  docbook-xsl,
  libxml2-utils
 X-Python-Version: >= 2.7
-Standards-Version: 3.9.8
+Standards-Version: 4.0.0
 Homepage: http://offlineimap.org/
 Vcs-Git: https://anonscm.debian.org/git/collab-maint/offlineimap.git
 Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/offlineimap.git

## offlineimap 7.1.5+dfsg1

=== Makefile ===
--- 
+++ 
@@ -38,7 +38,7 @@
 	-find . -name '.cache*' -exec rm -f {} \;
 	-rm -f manpage.links manpage.refs 2>/dev/null
 	-find . -name auth -exec rm -vf {}/password {}/username \;
-	@$(MAKE) -C clean
+	-$(MAKE) -C docs clean
 
 .PHONY: docs
 docs:

=== requirements.txt ===
# Requirements
six

=== debian/changelog ===
offlineimap (7.1.5+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Bump Standards-Version to 4.1.3, no changes needed
  * Update Vcs-* to point to salsa.debian.org
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Mon, 15 Jan 2018 12:52:40 +0200

offlineimap (7.1.4+dfsg1-1) unstable; urgency=medium

  * New upstream release
    - utf8foldernames: fix missing decode argument (Closes: #879579)
    - remotehost should not be required for preauth_tunnel (Closes: #879705)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sun, 29 Oct 2017 19:05:44 +0200

offlineimap (7.1.3+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Bump Standards-Version to 4.1.1, no changes needed

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 10 Oct 2017 11:56:45 +0300

offlineimap (7.1.2+dfsg1-2) unstable; urgency=low

  * Bump versioned dependency on python-imaplib2 (>= 2.57) (Closes: #873196)
  * Bump Standards-Version to 4.1.0, no changes needed

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 30 Aug 2017 20:10:27 +0300

=== debian/control ===
--- 
+++ 
@@ -8,7 +8,7 @@
  dh-python,
  python-setuptools,
  faketime,
- python-imaplib2 (>= 2.55),
+ python-imaplib2 (>= 2.57),
  python-six,
  asciidoc,
  xsltproc,
@@ -16,15 +16,15 @@
  docbook-xsl,
  libxml2-utils
 X-Python-Version: >= 2.7
-Standards-Version: 4.0.0
+Standards-Version: 4.1.3
 Homepage: http://offlineimap.org/
-Vcs-Git: https://anonscm.debian.org/git/collab-maint/offlineimap.git
-Vcs-Browser: https://anonscm.debian.org/cgit/collab-maint/offlineimap.git
+Vcs-Git: https://salsa.debian.org/debian/offlineimap.git
+Vcs-Browser: https://salsa.debian.org/debian/offlineimap
 
 Package: offlineimap
 Architecture: all
 Depends:
- python-imaplib2 (>= 2.55),
+ python-imaplib2 (>= 2.57),
  python-six,
  ${misc:Depends},
  ${python:Depends}

=== debian/rules ===
#!/usr/bin/make -f

# Uncomment this to turn on verbose mode.
#export DH_VERBOSE=1

export PYBUILD_NAME=offlineimap

# Python applications should have their module private
# These modules should be installed in /usr/share/<module-name>
export PYBUILD_INSTALL_ARGS=--install-lib=/usr/share/offlineimap/

# Scripts should be installed to the same (private) directory.
# We cannot use --install-scripts in PYBUILD_INSTALL_ARGS since
# module name and script name are the same.
export PYBUILD_AFTER_INSTALL=\
	mv {destdir}/usr/bin/offlineimap {destdir}/usr/share/offlineimap/run

# Tests require a valid IMAP account in order to run (see test/README).
# Disable them for now.
export PYBUILD_DISABLE=test

# Reproducable builds
# https://wiki.debian.org/ReproducibleBuilds/TimestampsProposal
export PATH := $(CURDIR)/debian/strip-nondeterminism:$(PATH)


%:
	dh $@ --buildsystem=pybuild --with=python2

.PHONY: override_dh_auto_build
override_dh_auto_build:
	dh_auto_build
	make -C docs man

## offlineimap 7.2.1+dfsg1

=== debian/changelog ===
offlineimap (7.2.1+dfsg1-1) unstable; urgency=low

  * New upstream release (Closes: #900172)
  * Remove unnecessary X-Python-Version field.
    The associated Python version is satisfied by the current "oldstable"
    distribution of Debian and is therefore unnecessary.

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Sat, 16 Jun 2018 21:10:54 +0300

offlineimap (7.2.0+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Upload to unstable
  * Drop 'Set upstream version to 7.1.5-12-g2b64e10' patch
  * Bump Standards-Version to 4.1.4, no changes needed
  * Add Espace LLC to copyright holders

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 16 May 2018 21:29:02 -0700

offlineimap (7.1.5-12-g2b64e10+dfsg1-1) experimental; urgency=low

  * New upstream snapshot release.
    Import upstream snapshot from git commit 2b64e100b07.
  * Set upstream version to 7.1.5-12-g2b64e10
  * Bump debhelper compat level to 11
  * Replace python-kerberos suggestion with python-gssapi.
    OfflineIMAP has been ported to python-gssapi from pykerberos.
  * Modify d/control and d/copyright to use HTTPS

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Wed, 28 Mar 2018 14:20:17 +0300

=== debian/control ===
--- 
+++ 
@@ -3,7 +3,7 @@
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
 Build-Depends:
- debhelper (>= 10),
+ debhelper (>= 11),
  python,
  dh-python,
  python-setuptools,
@@ -15,9 +15,8 @@
  docbook-xml,
  docbook-xsl,
  libxml2-utils
-X-Python-Version: >= 2.7
-Standards-Version: 4.1.3
-Homepage: http://offlineimap.org/
+Standards-Version: 4.1.4
+Homepage: https://www.offlineimap.org/
 Vcs-Git: https://salsa.debian.org/debian/offlineimap.git
 Vcs-Browser: https://salsa.debian.org/debian/offlineimap
 
@@ -29,7 +28,7 @@
  ${misc:Depends},
  ${python:Depends}
 Recommends: python-socks
-Suggests: python-kerberos
+Suggests: python-gssapi
 Description: IMAP/Maildir synchronization and reader support
  OfflineIMAP is a tool to simplify your e-mail reading.  With
  OfflineIMAP, you can:

## offlineimap 7.2.2+dfsg1

=== debian/changelog ===
offlineimap (7.2.2+dfsg1-1) unstable; urgency=low

  * New upstream release
  * Bump debhelper compat level to 12
  * Bump Standards-Version to 4.3.0, no changes needed

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Tue, 08 Jan 2019 17:09:23 +0200

## offlineimap 7.2.3+dfsg1

=== requirements.txt ===
# Requirements
six
gssapi[kerberos]

=== debian/changelog ===
offlineimap (7.2.3+dfsg1-1ubuntu1) focal; urgency=medium

  * Build-depend on python-all.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 31 Mar 2020 17:17:01 +0200

offlineimap (7.2.3+dfsg1-1build1) focal; urgency=medium

  * No-change rebuild to generate dependencies on python2.

 -- Matthias Klose <doko@ubuntu.com>  Tue, 17 Dec 2019 12:38:31 +0000

offlineimap (7.2.3+dfsg1-1) unstable; urgency=medium

  * New upstream release
  * Update d/copyright file (bump Copyright years)

 -- Ilias Tsitsimpis <iliastsi@debian.org>  Fri, 01 Mar 2019 22:49:44 +0200

=== debian/control ===
--- 
+++ 
@@ -3,8 +3,8 @@
 Priority: optional
 Maintainer: Ilias Tsitsimpis <iliastsi@debian.org>
 Build-Depends:
- debhelper (>= 11),
- python,
+ debhelper (>= 12),
+ python-all,
  dh-python,
  python-setuptools,
  faketime,
@@ -15,7 +15,7 @@
  docbook-xml,
  docbook-xsl,
  libxml2-utils
-Standards-Version: 4.1.4
+Standards-Version: 4.3.0
 Homepage: https://www.offlineimap.org/
 Vcs-Git: https://salsa.debian.org/debian/offlineimap.git
 Vcs-Browser: https://salsa.debian.org/debian/offlineimap

=== debian/watch ===
version=4

opts=filenamemangle=s/.+\/v?(\d\S*)\.tar\.gz/offlineimap-$1\.tar\.gz/,\
repacksuffix=+dfsg1,\
dversionmangle=s/\+dfsg\d+$//,\
uversionmangle=s/(\d)[_\.\-\+]?((RC|rc|pre|dev|beta|alpha)\d*)$/$1~$2/ \
https://github.com/OfflineIMAP/offlineimap/tags .*/v?(\d\S*)\.tar\.gz
